Subject: Re: bug#2062: PATH can contain non-expanded variables

From: Juanma Barranquero <[email-masked]>
Date: Tue, 27 Jan 2009 21:00:47 +0100

On Tue, Jan 27, 2009 at 20:02, Stefan Monnier <[email-masked]> wrote:

> I cannot judge whether Juanma's patch is doing the right
> thing, or is working around some bug/misfeature elsewhere, or is really
> doing something wrong (it looks like the second option, tho).

I think my patch works around a underspecified part of PATH
processing. In my quite-informal tests, it seems like App Path
expansion is done, or not done, differently for different command
shells, and also depends on whether you run the program from CMD or
the Windows Explorer shell.

    Juanma